# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate zmq

Name:           rust-%{crate}
Version:        0.9.2
Release:        5%{?dist}
Summary:        High-level bindings to the zeromq library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/zmq
Source:         %{crates_source}
Patch1:         rust-zmq-0.9.2-trybuild.patch
Patch2:         rust-zmq-0.9.2-metadata.patch
# FIXME: https://github.com/erickt/rust-zmq/issues/335
Patch3:         rust-zmq-0.9.2-s390x.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
High-level bindings to the zeromq library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc examples README.md NEWS.md HACKING.md CONTRIBUTING.md README-examples-zguide.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+zmq_has-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zmq_has-devel %{_description}

This package contains library source intended for building other packages
which use "zmq_has" feature of "%{crate}" crate.

%files       -n %{name}+zmq_has-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
mv examples/zguide/README.md README-examples-zguide.md
%cargo_prep

# FIXME: https://github.com/erickt/rust-zmq/issues/335
%ifarch s390x
%else
%patch3 -p1 -R
%endif

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip trybuild tests that are broken with Rust 1.60+
%cargo_test -- -- --skip compile_fail
%endif

%changelog
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-3
- Skip trybuild tests that are broken with Rust 1.60+.

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 02 2021 Daiki Ueno <dueno@redhat.com> - 0.9.2-1
- Initial package
